Loading...
Searching...
No Matches
pcl::SetIfFieldExists< PointOutT, InT > Struct Template Reference

A helper functor that can set a specific value in a field if the field exists. More...

`#include <pcl/type_traits.h>`

## Public Types

using | Pod = typename traits::POD< PointOutT >::type

## Public Member Functions

| SetIfFieldExists (PointOutT &pt, const std::string &field, const InT &value)
| Constructor.
template<typename Key >
void | operator() ()
| Operator.

## Detailed Description

template<typename PointOutT, typename InT>
struct pcl::SetIfFieldExists< PointOutT, InT >

A helper functor that can set a specific value in a field if the field exists.

Note
  In order to actually set the value an instance of this functor should be passed to a pcl::for_each_type loop. See the example below.

PointT p;
using FieldList = typename pcl::traits::fieldList<PointT>::type;
pcl::for_each_type<FieldList> (pcl::SetIfFieldExists<PointT, float> (p, "intensity", 42.0f));
pcl::PointXYZRGB
A point structure representing Euclidean xyz coordinates, and the RGB color.
Definition point_types.hpp:623
pcl::SetIfFieldExists
A helper functor that can set a specific value in a field if the field exists.
Definition type_traits.h:198

Definition at line 197 of file type_traits.h.

## Member Typedef Documentation

## Pod

template<typename PointOutT , typename InT >

using pcl::SetIfFieldExists< PointOutT, InT >::Pod = typename traits::POD<PointOutT>::type

Definition at line 199 of file type_traits.h.

## Constructor & Destructor Documentation

## SetIfFieldExists()

template<typename PointOutT , typename InT >

pcl::SetIfFieldExists< PointOutT, InT >::SetIfFieldExists | ( | PointOutT & | pt,
|  | const std::string & | field,
|  | const InT & | value
| ) |  |

inline

Constructor.

Parameters

  [in] | pt | the input point
  [in] | field | the name of the field
  [out] | value | the value to set

Definition at line 206 of file type_traits.h.

## Member Function Documentation

## operator()()

template<typename PointOutT , typename InT >
template<typename Key >

void pcl::SetIfFieldExists< PointOutT, InT >::operator() | ( |  | ) |

inline

Operator.

Data copy happens here.

Definition at line 215 of file type_traits.h.

The documentation for this struct was generated from the following file:

- pcl/type_traits.h